Package ghidra.features.base.codecompare.listing

# Class ListingComparisonActionContext

java.lang.Object
docking.DefaultActionContext
ghidra.features.base.codecompare.panel.CodeComparisonActionContext
ghidra.features.base.codecompare.listing.ListingComparisonActionContext

All Implemented Interfaces:
  `ActionContext`, `CodeComparisonViewActionContext`

public class ListingComparisonActionContext extends CodeComparisonActionContext
Action context for a ListingCodeComparisonPanel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListingComparisonActionContext(ComponentProvider provider, ListingCodeComparisonView panel)`
  Constructor for a dual listing's action context.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ListingCodeComparisonView`
  `getCodeComparisonView()`
  Returns the `ListingCodeComparisonView` that generated this context

  ### Methods inherited from class ghidra.features.base.codecompare.panel.CodeComparisonActionContext

  `getSourceFunction, getTargetFunction`

  ### Methods inherited from class docking.DefaultActionContext

  `getComponentProvider, getContextObject, getEventClickModifiers, getMouseEvent, getSourceComponent, getSourceObject, hasAnyEventClickModifiers, setContextObject, setEventClickModifiers, setMouseEvent, setSourceComponent, setSourceObject, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ListingComparisonActionContext

    public ListingComparisonActionContext(ComponentProvider provider, ListingCodeComparisonView panel)
    Constructor for a dual listing's action context.
    Parameters:
      `provider` - the provider that uses this action context.
      `panel` - the ListingCodeComparisonPanel that generated this context

- ## Method Details

  - ### getCodeComparisonView

    public ListingCodeComparisonView getCodeComparisonView()
    Returns the `ListingCodeComparisonView` that generated this context
    Returns:
      the listing comparison panel that generated this context